<template>
    <q-page class="q-pa-md">
        <q-card class="q-pa-md" style="max-width: 600px; margin: 0 auto;">
            <q-card-section>
                <div class="text-h5">Delete Project</div>
            </q-card-section>

            <q-form @submit.prevent="handleDeleteProject">
                <!-- Admin Dashboard Password -->
                <q-input v-model="adminDashboardPassword" label="Admin Dashboard Password" type="password"
                    class="q-mb-md" required />

                <!-- Project Name -->
                <q-input v-model="projectName" label="Project Name" class="q-mb-md" required />

                <q-btn label="Delete Project" color="negative" type="submit" />

                <q-card-section v-if="resultMessage" class="q-mt-md">
                    <q-banner :inline-actions="false" type="info">
                        {{ resultMessage }}
                    </q-banner>
                </q-card-section>
            </q-form>
        </q-card>
    </q-page>
</template>

<script setup>
import { ref } from 'vue';
import { useProjects } from 'src/hooks/projects';

const { error, deleteProject } = useProjects();


const adminDashboardPassword = ref('');
const projectName = ref('');
const resultMessage = ref('');

async function handleDeleteProject() {
    resultMessage.value = '';

    await deleteProject({
        admin_dashboard_password: adminDashboardPassword.value,
        project: projectName.value,
    });
    if (!error.value) {
        resultMessage.value = 'Project deleted successfully';
        adminDashboardPassword.value = '';
        projectName.value = '';
    }
}
</script>

<style scoped></style>